Bug 1570409 - Some available packages can't be found
Summary: Some available packages can't be found
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: tortoisehg
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mads Kiilerich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-22 16:37 UTC by Mads Kiilerich
Modified: 2019-05-28 19:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:57:08 UTC
Type: Bug


Attachments (Terms of Use)

Description Mads Kiilerich 2018-04-22 16:37:58 UTC
Description of problem:

Searching for "tortoisehg" in Gnome Software doesn't give any result (unless tortoisehg already has been installed).

AFAIK, tortoisehg has a valid tortoisehg.appdata.xml and it should be available.

I'm pretty sure it worked in f27.


Version-Release number of selected component (if applicable):

gnome-software-3.28.1-1.fc28.x86_64
PackageKit-1.1.9-3.fc28.x86_64
appstream-data-28-7.fc28.noarch

Comment 1 Kalev Lember 2018-04-23 09:12:57 UTC
tortoisehg appdata is invalid: it doesn't match up with its .desktop file name. I'd suggest renaming tortoisehg.appdata.xml to thg.appdata.xml and that hopefully fixes it.

Comment 2 Mads Kiilerich 2018-04-24 10:43:02 UTC
Thanks. I will fix that. (It would be nice if "fedpkg lint" or something else would flag such errors.)

Comment 3 Ben Cotton 2019-05-02 21:54:15 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2019-05-28 19:57:08 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.